Package com.usatiuk.dhfs.refcount

# Interface JDataRefcounted

All Superinterfaces:
  `JData`, `Serializable`

All Known Implementing Classes:
  `JKleppmannTreeNodeHolder`, `JKleppmannTreePersistentData`, `RemoteObjectDataWrapper`, `RemoteObjectMeta`

public interface JDataRefcounted extends JData

## Method Summary

Modifier and Type
Method
Description
`default Collection<JObjectKey>`
`collectRefsTo()`
`boolean`
`frozen()`
`org.pcollections.PCollection<JDataRef>`
`refsFrom()`
`JDataRefcounted`
`withFrozen(boolean frozen)`
`JDataRefcounted`
`withRefsFrom(org.pcollections.PCollection<JDataRef> refs)`

### Methods inherited from interface com.usatiuk.objects.JData

`estimateSize, key`

## Method Details

### refsFrom

org.pcollections.PCollection<JDataRef> refsFrom()

### withRefsFrom

JDataRefcounted withRefsFrom(org.pcollections.PCollection<JDataRef> refs)

### frozen

boolean frozen()

### withFrozen

JDataRefcounted withFrozen(boolean frozen)

### collectRefsTo

default Collection<JObjectKey> collectRefsTo()